#!/usr/bin/python

import string, time, os, random


class Latex2Pdf:
    def __init__(self, texFile):
        self.texFile = texFile


    def generate(self, dico):
        # Opening Tex file to modify
        fd = open(self.texFile, "r")
        lines = fd.readlines()
        fd.close()

        # Opening new file (modified .tex file)
        newTexFile = "/tmp/pygem_" + str(random.randint(0,1000)) + "_" + str(time.time()) + ".tex"
        fd = open(newTexFile, "w")

        # Replace each dico key by its value
        for k in range(0, len(lines)):
            for elt in dico.keys():
                lines[k] = string.replace(lines[k], "$PYGEM:%s$" %elt, dico[elt].encode("iso-8859-1"))

        fd.writelines(lines)
        fd.close()

        # Creating the PDF File with pdflatex
        old_dir = os.getcwd()
        
        os.chdir("/tmp/")
        os.system("pdflatex %s > /dev/null 2>&1" %newTexFile)

        os.chdir(old_dir)

        pdfFile = newTexFile.split(".tex")[0] + ".pdf"
        return pdfFile




#adh = doc("res/adhesion.tex")
#adh.generatePdf({"$PYGEM:Name$":"Python", "$PYGEM:Address$":"99 Rue de la Part-Dieu"})





            
